Bug 9071 - oggenc не прописывает теги на русском
: oggenc не прописывает теги на русском
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/vorbis-tools)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-02-14 15:47 by
Modified: 2006-07-24 11:50 (History)


Attachments
Force use of config.h in share/*.c (993 bytes, patch)
2006-03-06 09:06, Alexander Bokovoy
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-02-14 15:47:16
$ rpm -qf `which oggenc`
vorbis-tools-1.1.1-alt1

$ mpg123 -b 10000 -s 01._Solnca_svet.mp3 | oggenc -r -b 256 -t "Солнца свет" \
  -a  "Свистопляска" -l "Ветер Воды" -d "2005" -N 1 -o 01._Solnca_svet.ogg -

Раньше так работало, а теперь (вчерашний Сизиф) получаем:

$ ogginfo 01._Solnca_svet.ogg
Processing file "01._Solnca_svet.ogg"...

New logical stream (#1, serial: 4a3f4afd): type vorbis
Vorbis headers parsed for stream 1, information follows...
Version: 0
Vendor: Xiph.Org libVorbis I 20050304
Channels: 2
Rate: 44100

Nominal bitrate: 256,000000 kb/s
Upper bitrate not set
Lower bitrate not set
User comments section follows...
        title=###### ####
        artist=############
        date=2005
        album=##### ####
        tracknumber=1
Vorbis stream 1:
        Total data length: 1249816 bytes
        Playback length: 0m:46.027s
        Average bitrate: 217,228235 kb/s
Logical stream 1 ended


Такие же решеточки в плейере отображаются.

$ locale
LANG=ru_RU.KOI8-R
LC_CTYPE="ru_RU.KOI8-R"
LC_NUMERIC="ru_RU.KOI8-R"
LC_TIME="ru_RU.KOI8-R"
LC_COLLATE="ru_RU.KOI8-R"
LC_MONETARY="ru_RU.KOI8-R"
LC_MESSAGES="ru_RU.KOI8-R"
LC_PAPER="ru_RU.KOI8-R"
LC_NAME="ru_RU.KOI8-R"
LC_ADDRESS="ru_RU.KOI8-R"
LC_TELEPHONE="ru_RU.KOI8-R"
LC_MEASUREMENT="ru_RU.KOI8-R"
LC_IDENTIFICATION="ru_RU.KOI8-R"
LC_ALL=
------- Comment #1 From 2006-02-16 10:01:30 -------
Подтверждаю.
------- Comment #2 From 2006-03-06 09:06:02 -------
Following patch fixes it. Basically, when you create config.h, you have to use
it properly, otherwise it is obviously wrong assumption that all the values
defined in config.h will be available to the code to inspect. :-)
------- Comment #3 From 2006-03-06 09:06:49 -------
Created an attachment (id=1415) [details]
Force use of config.h in share/*.c
------- Comment #4 From 2006-03-06 09:58:04 -------
Эта ошибка уже исправлена в SVN 5 месяцев назад.
http://trac.xiph.org/ticket/685
------- Comment #5 From 2006-03-06 21:23:58 -------
Так вот кто мне позавчера решетки прописал...
Но этого мало.

wrar@wrars-comp Наши/Чичерина/Музыкальный фильм $ vorbiscomment -l 01\ Чичерина
\ -\ Пою.ogg
ALBUM=??????????? ?????
ARTIST=????????
DATE=2006
DESCRIPTION=
GENRE=Pop
TITLE=???
TRACKNUMBER=1


Внутрях юникод, писал амароком, mpd читает теги нормально. Вешать отдельный
баг?
------- Comment #6 From 2006-03-20 12:39:30 -------
А собственно, почему этот баг помечен как fixed? В сизифе то до сих пор
сломанная версия vorbis-tools.
------- Comment #7 From 2006-07-11 14:34:59 -------
Надо чинить в сизифе.
2 led: ты, гришь, в дедал кидал?
------- Comment #8 From 2006-07-11 14:38:39 -------
(In reply to comment #7)

Да, 10.07
По состоянию на 11.07 пакет лежит в /i/D
------- Comment #9 From 2006-07-22 20:02:06 -------
Сейчас в Сизифе лежит vorbis-tools-1.1.1-alt1.1, где этой проблемы вроде бы
нет.
Fixed?
------- Comment #10 From 2006-07-22 21:01:04 -------
Да, fixed.